
Redmine - Defect #35957

MessagesControllerTest#test_post_new test fails (trunk)

2021-10-06 10:15 - Mizuki ISHIKAWA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Failure:

MessagesControllerTest#test_post_new [/usr/src/redmine/test/functional/messages_controller_test.rb

:163]:

Expected: ["jsmith@somenet.foo"]

  Actual: ["dlopper@somenet.foo"]

rails test test/functional/messages_controller_test.rb:131

 There is no guarantee that the elements will be in the order of "first: author, second: member" in the array mails, so the test should

be modified so that it does not depend on the order.

I've had the same problem before and fixed it(#34169), but the change in r21130 seems to have caused the problem again.

Related issues:

Related to Redmine - Feature #30820: Drop setting "Blind carbon copy recipien... Closed

Associated revisions

Revision 21242 - 2021-10-09 08:52 - Marius BĂLTEANU

Fix random failing test introduced in r21130 (#35957, #34169).

History

#1 - 2021-10-06 10:16 - Mizuki ISHIKAWA

- File fix-test.patch added

A patch for the fix is attached.

#2 - 2021-10-06 10:45 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Assignee set to Marius BĂLTEANU

#3 - 2021-10-06 16:52 - Go MAEDA

- Description updated

#4 - 2021-10-09 08:52 - Marius BĂLTEANU

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed, thanks!

#5 - 2021-10-09 08:54 - Go MAEDA

- Related to Feature #30820: Drop setting "Blind carbon copy recipients (bcc)" added

Files

fix-test.patch 715 Bytes 2021-10-06 Mizuki ISHIKAWA
